Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Interface Customizer

public interface Customizer

A customizer class provides a complete custom GUI for customizing a target Java Bean.

Each customizer should inherit from the java.awt.Component class so it can be instantiated inside an AWT dialog or panel.

Each customizer should have a null constructor.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Register a listener for the PropertyChange event.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a listener for the PropertyChange event.
`void` | `setObject(Object bean)` Set the object to be customized.

Method Detail

### setObject

    public void setObject(Object bean)

  Set the object to be customized. This method should be called only once, before the Customizer has been added to any parent AWT container.

  Parameters:
    `bean` - The object to be customized.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Register a listener for the PropertyChange event. The customizer should fire a PropertyChange event whenever it changes the target bean in a way that might require the displayed properties to be refreshed.

  Parameters:
    `listener` - An object to be invoked when a PropertyChange event is fired.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a listener for the PropertyChange event.

  Parameters:
    `listener` - The PropertyChange listener to be removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.